Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062799 - oidentd does not listen for ipv6 connections by default
Summary: oidentd does not listen for ipv6 connections by default
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: oidentd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 03:06 UTC by Scott Shambarger
Modified: 2015-06-29 15:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:04:48 UTC


Attachments (Terms of Use)
Patch to fix ipv6 bind to only listen to ipv6 (deleted)
2014-02-08 03:06 UTC, Scott Shambarger
no flags Details | Diff

Description Scott Shambarger 2014-02-08 03:06:01 UTC
Created attachment 860797 [details]
Patch to fix ipv6 bind to only listen to ipv6

Description of problem:
oidentd listens only for ipv4 connections in the default install

Version-Release number of selected component (if applicable):
oidentd-2.0.8-13

How reproducible:
Always

Steps to Reproduce:
1. Install and start oidentd
2. run lsof -i -n -P | grep oidentd

Actual results:
oidentd   27555   nobody    5u  IPv4  59638      0t0  TCP *:113 (LISTEN)

Expected results:
oidentd   27555   nobody    5u  IPv4  59638      0t0  TCP *:113 (LISTEN)
oidentd   27555   nobody    6u  IPv6  59639      0t0  TCP *:113 (LISTEN)

Additional info:
It appears that when oidentd tries to listen on the ipv6 address it receives a bind error (address already in use).  The problem is that the ipv6 bind attempts to also listen to ipv4, which has been previously bound by oidentd.

I've supplied a patch that will have the ipv6 bind only listen to ipv6, so that both binds complete.  The patch fixes the default install to correctly listen to both ipv4 and ipv6.

Comment 1 Scott Shambarger 2014-02-08 03:08:50 UTC
As an aside, my patch works without the workaround in Bug 727684 that breaks on ipv4 only systems.

Comment 2 bugfinder 2014-02-23 14:09:24 UTC
Thanks for the patch. Confirmed working.

Comment 3 Fedora End Of Life 2015-05-29 10:51:03 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 15:04:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.